Austin Group Defect Tracker

Aardvark Mark IV


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0000315 [1003.1(2004)/Issue 6] System Interfaces Comment Omission 2010-09-17 08:21 2020-02-10 12:15
Reporter ajosey View Status public  
Assigned To ajosey
Priority normal Resolution Accepted As Marked  
Status Applied  
Name Andrew Josey
Organization The Open Group
User Reference XSHbug2.txt Enhancement Request Number 231
Section sem_post
Page Number 0
Line Number 0
Interp Status Approved
Final Accepted Text Note: 0000552
Summary 0000315: sem_post maximum number of semaphores
Description  In the list of return values for sem_post,
 ( http://www.opengroup.org/onlinepubs/009695399/functions/sem_post.html [^]
 ) , no mention is made of the case when the semaphore has value of
 SEM_VALUE_MAX
 (http://www.opengroup.org/onlinepubs/009695399/basedefs/limits.h.html [^]
 ). Althought this is an unlikely occurance I think a return value for
 this should be included in the standard.

Desired Action  Adding the condition and having it set errno as ERANGE would bring it
 in to line with semantics of semop from the Sys V / XSI semaphores.
Tags issue8
Attached Files

- Relationships

-  Notes
(0000552)
ajosey (manager)
2010-09-17 08:21
edited on: 2010-09-17 08:25

This is published as Austin Group Interpretation reference
1003.1-2001 #213

https://www.opengroup.org/austin/interps/uploads/40/16010/AI-213.txt [^]

Interpretation response
------------------------
The standard does not speak to this issue, and as such
no conformance distinction can be made between alternative
implementations based on this. This is being referred to the
sponsor.

Rationale:
-------------
None.


Notes to the Editor (not part of this interpretation):
-------------------------------------------------------

Add an additional shall fail error condition

[EOVERFLOW] The maximum allowable value of the semaphore would be exceeded


- Issue History
Date Modified Username Field Change
2010-09-17 08:21 ajosey New Issue
2010-09-17 08:21 ajosey Status New => Under Review
2010-09-17 08:21 ajosey Assigned To => ajosey
2010-09-17 08:21 ajosey Name => Andrew Josey
2010-09-17 08:21 ajosey Organization => The Open Group
2010-09-17 08:21 ajosey User Reference => XSHbug2.txt Enhancement Request Number 231
2010-09-17 08:21 ajosey Section => sem_post
2010-09-17 08:21 ajosey Page Number => 0
2010-09-17 08:21 ajosey Line Number => 0
2010-09-17 08:21 ajosey Interp Status => Approved
2010-09-17 08:21 ajosey Note Added: 0000552
2010-09-17 08:22 ajosey Status Under Review => Interpretation Required
2010-09-17 08:22 ajosey Resolution Open => Accepted As Marked
2010-09-17 08:22 ajosey Final Accepted Text => Note: 0000552
2010-09-17 08:23 ajosey Tag Attached: issue8
2010-09-17 08:24 ajosey Resolution Accepted As Marked => Future Enhancement
2010-09-17 08:25 ajosey Note Edited: 0000552
2018-09-11 14:19 geoffclare Resolution Future Enhancement => Accepted As Marked
2020-02-10 12:15 geoffclare Status Interpretation Required => Applied


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker